echo "START TIME: $(date)"
hostfile=./hostfile

np=$(cat $hostfile|sort|uniq |wc -l)
np=$(($np*8))
nodename=$(cat $hostfile |sed -n "1p")
dist_url=`echo $nodename | awk '{print $1}'`

mpirun -np $np --allow-run-as-root --hostfile ./hostfile1 -mca plm_rsh_args "-p 2345" -mca btl ^openib run-13b-sft-single.sh 8 $dist_url

echo "END TIME: $(date)"



